My Oracle Support Banner

Questions On PDC 11.1.0.x.0 And BRM 7.5 PS Number (Doc ID 1553027.1)

Last updated on OCTOBER 04, 2019

Applies to:

Oracle Communications Pricing Design Center - Version 11.1.0.2.0 and later
Information in this document applies to any platform.

Goal

Qn1: It seems like the latest PDC is 11.1.0.0 with Patch Set 3 (PS3) and BRM 7.5 with PS4.  Can one directly install PDC 11.1.0.2.0 on BRM 7.5 + PS4, then install PDC PS3?


Also for Oracle Fusion Middleware ADF 11.1.1.4, RCU (Repository Creation Utility 11g) 11.1.1.4 is required.  But, in edelivery.oracle.com, there is only 11.1.1.7.0 version.

Qn2: Could you please provide the link to download RCU for 11.1.1.4 version. Otherwise confirm if RCU 11.1.1.7 is compatible with ADF 11.1.1.4?

 

While applying PS4 on BRM 7.5, there is a post installation step for "Upgrading the Schema on Single-Schema Systems" as:

From PS4 Installation Guide (E28198-04), Page 12
6. Run the pin_75ps4_upgrade.pl script from the UNIX prompt:
  cd BRM_Home/setup/scripts
  perl pin_75ps4_upgrade.pl
7....

Qn3: There is no pin_75sp4_upgrade.pl script available under $PIN_HOME in any directory. Is this file missing?

Abbreviations:

PDC : Oracle Communications Pricing Design Center

BRM : Oracle Communications Billing and Revenue Management.

ADF : Oracle Application Development Framework

RCU : Repository Creation Utility

Solution

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Goal
 Qn1: It seems like the latest PDC is 11.1.0.0 with Patch Set 3 (PS3) and BRM 7.5 with PS4.  Can one directly install PDC 11.1.0.2.0 on BRM 7.5 + PS4, then install PDC PS3?
 Qn2: Could you please provide the link to download RCU for 11.1.1.4 version. Otherwise confirm if RCU 11.1.1.7 is compatible with ADF 11.1.1.4?
 Qn3: There is no pin_75sp4_upgrade.pl script available under $PIN_HOME in any directory. Is this file missing?
Solution
 An1: Please install PDC PS3 (11.1.0.3.0) since it's a full installation. It will work with BRM 7.5 + PS4.
 An2: RCU 11.1.1.7 is NOT compatible with ADF 11.1.1.4.  Please refer the following KM note for the method to obtain RCU 11.1.1.4.
 An3: Taking Linux platform as example, there are two packages in 7.5 PS4 (p16429299_750_Linux-x86-64.zip file) that will affect BRM Base.
 
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.